commit:     882912979ed202229888660b7da6357d1ea4add0
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  5 11:42:21 2017 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Mar  5 11:50:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88291297

dev-libs/fddl: EAPI 6

Closes: https://github.com/gentoo/gentoo/pull/4082
Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-libs/fddl/fddl-20111124-r1.ebuild | 39 +++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-libs/fddl/fddl-20111124-r1.ebuild 
b/dev-libs/fddl/fddl-20111124-r1.ebuild
new file mode 100644
index 00000000000..c28910e7170
--- /dev/null
+++ b/dev-libs/fddl/fddl-20111124-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils multilib vcs-snapshot
+
+DESCRIPTION="Free Decision Diagram Library"
+HOMEPAGE="http://itval.sourceforge.net/ https://github.com/atomopawn/FDDL";
+SRC_URI="https://dev.gentoo.org/~pinkbyte/distfiles/snapshots/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DOCS=( AUTHORS ChangeLog INSTALL RELEASE )
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       # Remove references to files that were not shipped,
+       # prefer dynamic linking
+       sed -i \
+               -e 's|unaryoperation.cpp||g' \
+               -e 's|unaryoperation.h||g' \
+               -e 's|binaryoperation.cpp||g' \
+               -e 's|binaryoperation.h||g' \
+               -e '/add_library/s/FDDL /FDDL SHARED /' \
+               -e '/add_library/s/FDDL /FDDL SHARED /' \
+               -e "/^install/s:DESTINATION lib:DESTINATION $(get_libdir):" \
+               src/CMakeLists.txt || die
+       # Do not build tests that depend on above files
+       sed -i   \
+               {,tests/}CMakeLists.txt \
+               -e '/test_unaryop/d' \
+               -e '/test_binaryop/d' \
+               || die
+}

Reply via email to